package com.tofly.api;

import com.tofly.common.core.entity.ResultRespone;
import com.tofly.pojo.User;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

@FeignClient(name = "tofly-base",contextId="UserClent")
public interface UserClent {

    @GetMapping("/user/{id}")
    ResultRespone<User> getById(@PathVariable("id") Long id);


}
