/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.base.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 上图员数据版本记录表
 *
 * @author wangjian
 * @date Thu Apr 09 00:00:00 CST 2020
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_SMPN_SDEVERSION_X",resultMap = "sdeversionMap")
@KeySequence("TF_SMPN_SDEVERSION_X")
@ApiModel
public class Sdeversion extends Model<Sdeversion> {
    private static final long serialVersionUID = 1L;

        /**
     * 编号
     */
        @TableId(value = "ID",type= IdType.INPUT)
        @ApiModelProperty(value = "编号")
                private Long id;
                /**
     * 用户ID
     */
        @ApiModelProperty(value = "用户ID")
        @TableField(value = "USER_ID",fill = FieldFill.INSERT)
                private Long userId;
                /**
     * 部门ID
     */
        @ApiModelProperty(value = "部门ID")
                private Long departmentId;
                /**
     * SDE数据版本
     */
        @ApiModelProperty(value = "SDE数据版本")
                private String sdeVersion;
                /**
     * 是否是审核员(0-不是审核员,1-是审核员)
     */
        @ApiModelProperty(value = "是否是审核员(0-不是审核员,1-是审核员)")
                private Short auditor;
        @ApiModelProperty(hidden = true)
    private String auditorName;
            
}
