/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.base.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.base.entity.Log;
import com.tofly.base.vo.CountLogVo;
import com.tofly.base.vo.OperationRecordsVo;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 日志信息表
 *
 * @author admin
 * @date Thu Oct 10 00:00:00 CST 2019
 */
public interface LogMapper extends BaseMapper<Log> {
    List<Map>  listLogPage(Page page,@Param("map") Map map);

    List<CountLogVo> countLogType(@Param("map") Map map);

    /**
     * 获取操作记录分类(部门-人员)
     * @return
     */
    List<OperationRecordsVo> getOperationRecords(@Param("startTime") Date startTime, @Param("endTime")Date endTime);

    /**
     * 获取当前用户最新登录日志
     * @param map
     * @return
     */
    Log getOneLogInfo(@Param("map") Map map);
}
