/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.base.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.base.entity.Position;
import com.tofly.base.mapper.PositionMapper;
import com.tofly.base.service.PositionService;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 职位表
 *
 * @author wangjian
 * @date Tue Dec 03 00:00:00 CST 2019
 */
@Service("positionService")
public class PositionServiceImpl extends ServiceImpl<PositionMapper, Position> implements PositionService {


    @Override
    public List<Map> getPosition(Map map, IPage iPage) {
        return baseMapper.getPosition(map,iPage);
    }

    @Override
    public List<Map> getAllUserPosition(IPage iPage) {
        return baseMapper.getAllUserPosition(iPage);
    }
}
