package com.tofly.dc.comm;

/**
 * @ClassName: Constant
 * @Description: 常量
 * @Author Zev
 * @Date 2021/3/18
 * @Version 1.0.0
 */
public class Constant {

    /**
     * 导入导出文件相关
     */
    public static String DEFAULT_REPORT_IMPORT_FOLDER = "/report/import";
    public static String DEFAULT_REPORT_EXPORT_FOLDER = "/report/export";

    /**
     * 系统分隔符
     */
    public static String SYSTEM_SEPARATOR = "/";

    /**
     * 获取项目根目录
     */
    public static String PROJECT_ROOT_DIRECTORY = System.getProperty("user.dir").replaceAll("\\\\", SYSTEM_SEPARATOR);

    /**
     * excel导出测试临时存储路径
     */
    public static String FILE_PATH_TEST_EXPORT_EXCEL = PROJECT_ROOT_DIRECTORY + "/excel.xls";

    public static String MONTH = "1";

    public static String YEAR = "0";

    public static String POINT = ".";

    public static String KB = "kb";

    public static String DATE_SEPARATION = "-";

    public static String DATE_TILDE = "~";

    public static final String CSV = ",";
    /** 消息批次流水号 */
    public static String MESSAGE_BATCH_ROB_MAINTAIN_SEQUENCE = "MESSAGE_BATCH_ROB_MAINTAIN_SEQUENCE";


    public static int SYS_ERROR_CODE = 10001;
    public static String SYS_ERROR = "数据中台-系统异常,请联系管理员";

    public static int READ_TIMED_OUT_CODE = 10005;
    public static String READ_TIMED_OUT = "数据中台-调用接口超时,请检查服务端是否启动";


    public static String INTERFACE_IS_NULL_OR_STOP = "数据中台-接口编码查询为空或未发布";

    public static int INTERFACE_IS_NULL_OR_STOP_CODE = 10020;
}
