package com.tofly.xrtygis.custom.entity.dma;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tofly.common.core.annotation.Excel;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class ImportExDutyExtend {
    @Excel(name = "序号")
    private Long exId;

    @Excel(name = "早班人员编号ID")
    private Long morningDutyUser;
    @Excel(name = "早班人员名称")
    private String morningDutyUserName;
    @Excel(name = "中班人员编号ID")
    private Long noonDutyUser;
    @Excel(name = "中班人员名称")
    private String noonDutyUserName;
    @Excel(name = "夜班人员编号ID")
    private Long nightDutyUser;
    @Excel(name = "夜班人员名称")
    private String nightDutyUserName;

    @Excel(name = "工作日期")
    @JsonFormat(pattern="yyyy年MM月dd日",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy年MM月dd日")
    private Date dutyDate;
}
