package com.tofly.xrtygis.custom.entity.dto;

import lombok.Data;

/**
 * @author 20126
 */
@Data
public class StationDto {

    /**
     * 测站编号
     */
    private String stcd;

    /**
     * 测站名称
     */
    private String stnm;

    /**
     * 经度，单位：
     */
    private Double lgtd;

    private Double lttd;

    /**
     * 备注信息
     */
    private String notes;

    /**
     * 是否有工艺图，0没有工艺图，1有工艺图
     */
    private String iscraft;

    /**
     * 测站负责人ID，关联用户信息
     */
    private String respuserId;

    /**
     * 报警等级
     */
    private Long rangeid;
}
