package com.tofly.xrtygis.custom.entity.gs;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * IVR语音播报返回信息实体
 * @author FlashWJL
 * @date 2021/9/7 10:27
 */
@Data
public class IVRReturn {
    @ApiModelProperty(value = "返回码")
    private String resultCode;
    @ApiModelProperty(value = "说明")
    private String errInfo;
    @ApiModelProperty(value = "预存款余额")
    private Float presBalance;
    @ApiModelProperty(value = "欠款余额")
    private Float gasArrears;
    @ApiModelProperty(value = "预存款余额英语")
    private String presBalanceEndlish;
    @ApiModelProperty(value = "欠款金额英语")
    private String gasArrearsEnglish;
    @ApiModelProperty(value = "停水通知内容")
    private List<String> content;
    @ApiModelProperty(value = "欠水方量")
    private String waterValue;



}
