package com.tofly.xrtygis.custom.entity.marketing;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author 20126
 */
@Data
public class CustomerWaterVo {
    @ApiModelProperty(value = "用户编号")
    private String userCode;
    @ApiModelProperty(value = "用户姓名")
    private String userName;
    @ApiModelProperty(value = "水表编号")
    private String waterMeterCode;
    @ApiModelProperty(value = "用户地址")
    private String userAddress;
    @ApiModelProperty(value = "联系电话")
    private String contactNumber;
    @ApiModelProperty(value = "抄表片区")
    private String meterReadingArea;
    @ApiModelProperty(value = "抄表本")
    private String meterReadingBook;
    @ApiModelProperty(name = "财务月份")
    private String month;
    @ApiModelProperty(name = "用水量")
    private BigDecimal waterConsumption;
    @ApiModelProperty(value = "总表x")
    private BigDecimal x;
    @ApiModelProperty(value = "总表y")
    private BigDecimal y;
}
