package com.tofly.xrtygis.custom.entity.message;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class SendMessage {
    @ApiModelProperty(value = "id")
    private String id;
    @ApiModelProperty(value = "流水号")
    private String lsh;
    @ApiModelProperty(value = "用户编号")
    private String yhbh;
    @ApiModelProperty(value = "用户姓名")
    private String yhxm;
    @ApiModelProperty(value = "用户地址")
    private String yhdz;
    @ApiModelProperty(value = "联系电话")
    private String lxdh;
    @ApiModelProperty(value = "财务月份")
    private String cwyf;
    @ApiModelProperty(value = "上次底数")
    private Long scds;
    @ApiModelProperty(value = "本次底数")
    private Long bcds;
    @ApiModelProperty(value = "提醒类型")
    private String txlx;
    @ApiModelProperty(value = "提醒内容")
    private String txnr;
    @ApiModelProperty(value = "添加时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date scsj;
    @ApiModelProperty(value = "发送状态(0=待发,1=成功,2=失败)")
    private String fszt;
    @ApiModelProperty(value = "处理人员编号")
    private String clry;
    @ApiModelProperty(value = "处理时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date clsj;
    @ApiModelProperty(value = "备注")
    private String bz;
    @ApiModelProperty(value = "锁定标志(0未锁定,1已锁定)")
    private String sLock;
    @ApiModelProperty(value = "应收水量")
    private Long yssl;
    @ApiModelProperty(value = "应收水费")
    private Long yssf;
    @ApiModelProperty(value = "应收污水费")
    private Long yswsf;
    @ApiModelProperty(value = "欠费金额")
    private Long qfje;
    @ApiModelProperty(value = "欠费月份")
    private Long yf;

}
