package com.tofly.xrtygis.custom.service.callCenter;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.xrtygis.custom.entity.callCenter.FlowNum;

import javax.servlet.http.HttpServletResponse;
import java.util.Map;

/**
 * @author FlashWJL
 * @date 2021/7/7 16:37
 */
public interface RecordService {


    /**
     * 获取录音条数
     * @return list
     */
    Map<String, Integer> queryRecordNum(String crew, String start, String end);

    /**
     * 获取未接来电
     * @param emp 员工
     * @param tel 电话
     * @return page
     */
    Page missedCalls(Page page,String emp,String tel);
}
