/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 区域观察表与指标信息关系表：TF_YWPN_DMATABLEANDSTAITEM_W
 *
 * @author admin
 * @date Tue May 18 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_DMATABLEANDSTAITEM_W", resultMap = "dmatableandstaitemMap")
@KeySequence("TF_YWPN_DMATABLEANDSTAITEM_W")
@ApiModel
public class Dmatableandstaitem extends Model<Dmatableandstaitem> {
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "主键ID")
    private String id;
    /**
     * 表ID（与表TF_YWPN_DMATABLE_W.ID关联）
     */
    @ApiModelProperty(value = "表ID（与表TF_YWPN_DMATABLE_W.ID关联）")
    private Long tableId;
    /**
     * 变量表ID（与表TF_YWPN_SCADASTAITEM_W.ID关联）
     */
    @ApiModelProperty(value = "变量表ID（与表TF_YWPN_SCADASTAITEM_W.ID关联）")
    private Long itid;
    /**
     * 仪表类别（0=瞬时流量，1=累计流量，2=压力测值）
     */
    @ApiModelProperty(value = "仪表类别（0=瞬时流量，1=累计流量，2=压力测值）")
    private String itype;

}
