/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 测站与管道关联信息表
 *
 * @author admin
 * @date Fri Apr 02 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_STATIONLINKPIPE_W", resultMap = "stationlinkpipeMap")
@KeySequence("TF_YWPN_STATIONLINKPIPE_W")
@ApiModel
public class Stationlinkpipe extends Model<Stationlinkpipe> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 测站编号
     */
    @ApiModelProperty(value = "指标编号")
    private String itcd;
    /**
     * 管道编号
     */
    @ApiModelProperty(value = "管道编号")
    private String pipeSid;

}
