/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 总表与管线关联信息表
 *
 * @author admin
 * @date Tue Oct 12 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_TABLELINKPIPE_W", resultMap = "tablelinkpipeMap")
@KeySequence("TF_YWPN_TABLELINKPIPE_W")
@ApiModel
public class Tablelinkpipe extends Model<Tablelinkpipe> {
    private static final long serialVersionUID = 1L;

    /**
     * 唯一值ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "唯一值ID")
    private Long id;
    /**
     * 管线编号
     */
    @ApiModelProperty(value = "管线编号")
    private String pipeSid;
    /**
     * 总表ID，关联表TF_YWPN _WATERMETER_W的id
     */
    @ApiModelProperty(value = "总表ID，关联表TF_YWPN _WATERMETER_W的id")
    private Long tableId;
    /**
     * 总表表编号
     */
    @ApiModelProperty(value = "总表表编号")
    private String sid;
    /**
     * 确认状态：0未确认、1已确认、2自动匹配
     */
    @ApiModelProperty(value = "确认状态：0未确认、1已确认、2自动匹配")
    private Short state;

}
