package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.Date;

/**
 * @author 20126
 */
@Data
@ApiModel
@KeySequence("TF_YWPNWATERTREND_W")
@TableName(value = "TF_YWPNWATERTREND_W",resultMap = "waterTrendMap")
public class WaterTrend extends Model<WaterTrend> {

    private String id;

    private Long scid;

    private Double qsl;

    private Double gsl;

    private Date uday;

    private String umonth;

    private Date utime;

}
