package com.tofly.xrtygis.entity.dto;

import com.tofly.pojo.GdglinfoExtendDto;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
@Data
public class PublicLeakageOrderDto extends GdglinfoExtendDto implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 公众参与信息ID
     */
    @ApiModelProperty(value = "公众参与信息ID")
    @NotNull
    private Long publicLeakageId;

    /**
     * 是否是奖励水量 0否 1是
     */
    @ApiModelProperty(value = "是否是奖励水量 0否 1是")
    @NotNull
    private String isRewardWater;
}
