package com.tofly.xrtygis.entity.dto;

import com.tofly.xrtygis.entity.TfKpiStandardManage;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 绩效考核标准管理Dto
 *
 * @author JF
 */
@Data
public class TfKpiStandardManageDto extends TfKpiStandardManage implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 考核内容多选（1巡线效率,2区域漏损率,3处漏效率,4区域漏损指标任务,5绩效任务）
     */
    @ApiModelProperty(value = "考核内容多选（1巡线效率,2区域漏损率,3处漏效率,4区域漏损指标任务,5绩效任务）")
    private String assessContentMore;

}
