package com.tofly.xrtygis.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 营销客户信息
 */
@Data
public class ChargeUserInfoVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户编号")
    private Long userId;

    @ApiModelProperty(value = "用户姓名")
    private String userName;

    @ApiModelProperty(value = "联系电话")
    private String phone;

    @ApiModelProperty(value = "客户地址")
    private String address;

    @ApiModelProperty(value = "营业区域")
    private Long chargeArea;
    private String chargeAreaName;

    @ApiModelProperty(value = "供水片区")
    private Long supplyWaterArea;
    private String supplyWaterAreaName;

    @ApiModelProperty(value = "缴费账户")
    private String chargeAccount;

    @ApiModelProperty(value = "账户状态")
    private String status;
    private String statusName;

    @ApiModelProperty(value = "用水性质")
    private String nature;

    @ApiModelProperty(value = "性质类型")
    private String type;

    @ApiModelProperty(value = "开户日期")
    private Date accountDate;

    @ApiModelProperty(value = "水表类型")
    private String meterType;
    private String meterTypeName;

    @ApiModelProperty(value = "抄表日期")
    private Date meterReadDate;

    @ApiModelProperty(value = "水表编号")
    private String meterNumber;

    @ApiModelProperty(value = "水表厂家")
    private String meterMill;
    private String meterMillName;

    @ApiModelProperty(value = "水表口径")
    private String meterBore;

}
