package com.tofly.xrtygis.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.tofly.mybatisplus.config.ToflySqlCondition;
import com.tofly.xrtygis.entity.Dmatable;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
@Data
public class DmatableVo extends Dmatable implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "设备编号")
    private String code;

    @ApiModelProperty(value = "设备名称")
    private String name;

    @ApiModelProperty(value = "制造厂家")
    private String manufacturer;

    @ApiModelProperty(value = "型号规格")
    private String modelSpecification;

    @ApiModelProperty(value = "地址")
    private String address;

    @ApiModelProperty(value = "经度")
    private Double longitude;

    @ApiModelProperty(value = "纬度")
    private Double latitude;
}
