package com.tofly.xrtygis.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 首页-生产运营 一厂 取供水(年统计)
 * @author BZ-DJJ
 */
@Data
public class OneFactoryTakingWaterSupplyStatisticalVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("统计时间")
    private String dateTime;

    @ApiModelProperty("取水量")
    private BigDecimal waterSupplyValue;

    @ApiModelProperty("供水量")
    private BigDecimal waterIntakingValue;
}
