package com.tofly.xrtygis.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 首页-生产运营 产销差 显示本年度各月完成累计值/预算值情况
 * @author BZ-DJJ
 */
@Data
public class ProductionMarketingPoorMonthVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("统计时间")
    private String dateTime;

    @ApiModelProperty("累计值")
    private BigDecimal totalCumulative;

    @ApiModelProperty("预算值")
    private BigDecimal totalBudget;

}
