package com.tofly.xrtygis.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 首页-生产运营 产销差 显示本年度累计值与预算值占比饼状图
 * @author BZ-DJJ
 */
@Data
public class ProductionMarketingPoorStatisticalVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("累计值")
    private BigDecimal totalCumulative;

    @ApiModelProperty("预算值")
    private BigDecimal totalBudget;

}
