package com.tofly.xrtygis.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 首页-营销 质量管理 合格数/合格率-超时数/超时率(年统计)
 * @author BZ-DJJ
 */
@Data
public class QualityQualifiedTimeoutStatisticalVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("合格数")
    private BigDecimal qualifiedNum;
    @ApiModelProperty("合格率")
    private BigDecimal  qualifiedRate;
    @ApiModelProperty("超时数")
    private BigDecimal timeoutNum;
    @ApiModelProperty("超时率")
    private BigDecimal timeoutRate;

}
