package com.tofly.xrtygis.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.Data;

import java.io.Serializable;

/**
 * 公众参与漏点信息统计管理
 *
 * @author JF
 */
@Data
public class TfPublicLeakageInfoCensusVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "日期")
    private String date;

    @ApiModelProperty(value = "公众参与人次")
    private String publicPeopleCount;

    @ApiModelProperty(value = "信息准确率（%）")
    private String informationAccuracy;

    @ApiModelProperty(value = "发现漏点数量")
    private String leakagePassCount;

    @ApiModelProperty(value = "预估漏失水量（m³）")
    private String estimateLeakageWaterCount;

    @ApiModelProperty(value = "总奖励水量（m³）")
    private String rewardWaterCount;

}
