/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.xrtygis.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.xrtygis.entity.Dmaicf;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 分区计量对应的基础设施的状况因子表
 *
 * @author admin
 * @date Tue May 18 00:00:00 CST 2021
 */
public interface DmaicfMapper extends BaseMapper<Dmaicf> {
    String getIcfByYear(@Param("mid") Long mid, @Param("bsign") String bsign, @Param("esign") String esign, @Param("year") int diffYear);

}
