/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.xrtygis.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.xrtygis.entity.NoiseLoggerInfo;
import org.apache.ibatis.annotations.Param;

/**
 * 噪音记录仪信息
 *
 * @author admin
 * @date Mon Apr 25 00:00:00 CST 2022
 */
public interface NoiseLoggerInfoMapper extends BaseMapper<NoiseLoggerInfo> {
    /**
     * 获取当前记录中最大的数据对象
     *
     * @return
     */
    NoiseLoggerInfo getMaxLastValueDateVo(@Param("mobileNumber")String mobileNumber);

    /**
     * 获取对应表的自增长
     */
    Long selectMaxId(@Param("tableName") String tableName);
}
