/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.xrtygis.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.xrtygis.entity.TfKpiManage;
import com.tofly.xrtygis.entity.dto.TfKpiManageDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 绩效考核管理
 *
 * @author JF
 * @date Fri Mar 25 00:00:00 CST 2022
 */
public interface TfKpiManageMapper extends BaseMapper<TfKpiManage> {

    Page<TfKpiManage> getTfKpiManageList(Page page, @Param(value = "tfKpiManageDto") TfKpiManageDto tfKpiManageDto);

    List<String> getKpiManageAreaList(TfKpiManageDto tfKpiManageDto);

    Integer getTfKpiManageScoreAll(TfKpiManageDto tfKpiManageDto);

    Integer getTfKpiManageScoreCount(TfKpiManageDto tfKpiManageDto);

//    List<Map<String,Object>> getCensusInfoByContent(TfKpiManageDto tfKpiManageDto);

//    List<Map<String,Object>> getCensusInfoByYear(TfKpiManageDto tfKpiManageDto);

//    List<Map<String,Object>> getCensusInfoByYearGroupByMonth(TfKpiManageDto tfKpiManageDto);

//    List<Map<String,Object>> getCensusInfoByQuarter(TfKpiManageDto tfKpiManageDto);

//    List<Map<String,Object>> getCensusInfoByQuarterGroupByMonth(TfKpiManageDto tfKpiManageDto);

                                                    }
