/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.xrtygis.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.xrtygis.entity.AbnormalWaterConfig;

/**
 * 分析用户用水量配置表
 *
 * @author admin
 * @date Thu Jul 28 00:00:00 CST 2022
 */
public interface AbnormalWaterConfigService extends IService<AbnormalWaterConfig> {
    /**
     * 获取分析用户用水量配置信息
     * @return
     */
    AbnormalWaterConfig getConfig();

    /**
     * 修改分析用户用水量配置表
     */
    boolean updateConfig(AbnormalWaterConfig waterConfig);
}
