/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.xrtygis.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.xrtygis.entity.Rivermanage;

import java.util.List;
import java.util.Map;

/**
 * 河流管理配置表
 *
 * @author admin
 * @date Thu Sep 09 00:00:00 CST 2021
 */
public interface RivermanageService extends IService<Rivermanage> {
    /**
     * 删除河道配置
     * @param ids id
     * @return boolean
     */
    boolean deleteRiver(String ids);

    /**
     * 添加河流配置信息
     * @param river river
     * @return boolean
     */
    boolean insertRiver(Rivermanage river);

    /**
     * 获取码表信息
     * @return list
     */
    List<Map> getCodeInfo();
}
