package com.tofly.api.es;

import com.tofly.common.core.entity.ResultRespone;
import com.tofly.es.GpsUpload;
import com.tofly.es.dto.EsQueryDto;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(name = "tofly-xrty-gps",contextId="EsClient")
public interface EsClient {

    @PostMapping(value = "/gps/getAll")
    ResultRespone<List<GpsUpload>> getAll(@ModelAttribute EsQueryDto dto);

}
