package com.tofly.api.mssage;

import com.tofly.common.core.entity.ResultRespone;
import com.tofly.pojo.note.SendNoteEn;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @author FlashWJL
 * @date 2021/7/12 13:45
 */
@FeignClient(value = "tofly-xrtygis")
public interface SendMessageFeign {
    /**
     * 系统添加应急记录
     * @return
     */
    @PostMapping("/send/sendMessage")
    ResultRespone sendMessage(@RequestBody SendNoteEn sendNoteEn);
}
