package com.tofly.pojo.maintain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 辅助派单返回对象
 * @author BZ-DJJ
 */
@Data
public class AuxiliarySingleVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户id")
    private Long userId;
    @ApiModelProperty(value = "用户名称")
    private String userName;

    @ApiModelProperty(value = "部门id")
    private Long deptId;
    @ApiModelProperty(value = "部门名称")
    private String deptName;
    @ApiModelProperty(value = "当前最新位置经度")
    private BigDecimal lgtd;
    @ApiModelProperty(value = "当前用户处理的业务工单个数")
    private Long gdNum;

    @ApiModelProperty(value = "当前最新位置纬度")
    private BigDecimal lttd;
    @ApiModelProperty(value = "当前用户上班状态")
    private String singType;
}
