package com.tofly.pojo.statement.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Map;

/**
 * 管网设施维修情况导出对象
 * @author BZ-DJJ
 */
@Data
public class MaintenanceStatisticsDetailVo implements Serializable {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "类型名称")
    private String typeName;

    @ApiModelProperty(value = "单位")
    private String unit;

    @ApiModelProperty(value = "月对应维修数量Map")
    private Map<String,Long> monthNumMap;
}
