package com.tofly.pojo.statement.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 管网设施维修情况导出对象
 * @author BZ-DJJ
 */
@Data
public class MaintenanceStatisticsVo implements Serializable {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "归属类名称")
    private String groupName;

    @ApiModelProperty(value = "类型明细列表")
    private List<MaintenanceStatisticsDetailVo> detailVoList;


    public MaintenanceStatisticsVo(String key, List<MaintenanceStatisticsDetailVo> value) {
        this.groupName = key;
        this.detailVoList = value;
    }
}
