package com.tofly.pojo.statement.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 隐患类型分析导出对象
 * @author BZ-DJJ
 */
@Data
public class TroubleTypeAnalysisVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "隐患类型")
    private String troubleTypeName;

    @ApiModelProperty(value = "设备类型")
    private String location;

    @ApiModelProperty(value = "数量")
    private Integer num;

    @ApiModelProperty(value = "比例")
    private BigDecimal proportion;

}
