package com.tofly.gpsboot;

import com.tofly.baseapi.config.ToflyWebColudApplication;

import com.tofly.gpsboot.config.FeignConfig;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;

import org.springframework.context.annotation.ComponentScan;



@ToflyWebColudApplication
@EnableFeignClients(basePackages ={"com.tofly.api","com.tofly.common.log"},defaultConfiguration = {FeignConfig.class})
@ComponentScan({"com.tofly.*"})
@MapperScan({"com.tofly.*.mapper", "com.tofly.*.custom.mapper","com.tofly.gpsboot.mapper.*"})
public class XrtyGpsApplication {

    public static void main(String[] args) {
        SpringApplication.run(XrtyGpsApplication.class, args);
    }


}
