/*
 * Author: Zev
 * 生成Service
 */
package com.tofly.gpsboot.service.build;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.pojo.build.dto.BuildtypeDto;
import com.tofly.pojo.build.vo.BuildtypeVo;
import com.tofly.gpsboot.exception.BusinessException;
import com.tofly.pojo.build.Buildtype;
import com.tofly.gpsboot.service.IBaseService;

/**
 * 工地类型信息表
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
public interface BuildtypeService extends IBaseService<Buildtype, BuildtypeVo> {
    /**
     * 自定义分页查询
     * @param page
     * @param parDto
     * @return
     */
    Page<BuildtypeVo> getBuildTypePage(Page page, BuildtypeDto parDto);
    /**
     * 单个删除或批量删除信息
     *
     * @param idLists
     * @throws BusinessException 抛出删除对象不存在
     */
    void deleteBuildTypeInfo(String idLists) throws BusinessException;
}
