/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.gpsboot.service.paln.task;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.pojo.plan.PlanInspectUser;


/**
 * 计划与巡检人关联表
 *
 * @author admin
 * @date Tue Mar 30 00:00:00 CST 2021
 */
public interface PlanInspectUserService extends IService<PlanInspectUser> {

    /**
     * 根据计划id获取巡检人名称列表
     * @param planId
     * @return
     */
    String getInspectUserList(Long planId);


    /**
     * 根据计划id获取巡检人id列表
     * @param planId
     * @return
     */
    String getInspectUserIdList(Long planId);
}
