package com.tofly.xrtymis;

import com.tofly.baseapi.config.ToflyWebColudApplication;
import com.tofly.common.oauth.feign.ToflyFeignClientInterceptor;
import com.tofly.xrtymis.config.FeignConfig;
import org.springframework.boot.SpringApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;

//@ToflyWebColudApplication中未加入@EnableFeignClients的参数
@ToflyWebColudApplication
@EnableFeignClients(basePackages ={"com.tofly.api"},defaultConfiguration = {FeignConfig.class})
public class XrtyMisApplication {

    public static void main(String[] args) {
        SpringApplication.run(XrtyMisApplication.class, args);
    }

}
