///*
// * Author: wangjian
// * 生成controller
// */
//package com.tofly.xrtymis.custom.controller;
//
//import com.baomidou.mybatisplus.core.toolkit.Wrappers;
//import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
//import com.tofly.common.core.entity.ResultRespone;
//import com.tofly.common.log.annotation.ToFlyAppLog;
//import com.tofly.xrtymis.custom.service.GddataService;
//import com.tofly.xrtymis.entity.Gddata;
//import lombok.AllArgsConstructor;
//import org.springframework.web.bind.annotation.*;
//import io.swagger.annotations.Api;
//import io.swagger.annotations.ApiOperation;
//import io.swagger.annotations.ApiImplicitParam;
//import io.swagger.annotations.ApiImplicitParams;
//import org.springframework.web.bind.annotation.ModelAttribute;
//
//import java.util.Arrays;
///**
// * ${comments}
// *
// * @author fu
// * @date Tue Apr 27 00:00:00 CST 2021
// */
//@RestController
//@AllArgsConstructor
//@RequestMapping("/gddata")
//@Api(tags="一体化中间缓存表接口")
//public class GddataController {
//
//    private final GddataService gddataService;
//
//    /**
//    * 分页查询
//    * @param page 分页对象
//    * @param gddata ${comments}
//    * @return
//    */
//    @GetMapping("/page" )
//    @ApiOperation(value = "分页查询")
//    public ResultRespone getGddataPage(Page page, @ModelAttribute Gddata gddata) {
//      return ResultRespone.success(gddataService.page(page, Wrappers.query(gddata)));
//    }
//
//    /**
//     * 查询当前缓存的数据
//     * @return
//     */
//    @GetMapping("/allDta" )
//    @ApiOperation(value = "查询当前缓存的数据")
//    public ResultRespone allDta() {
//        return ResultRespone.success(gddataService.list());
//    }
//
//    /**
//     * 通过id查询${comments}
//     * @param id id
//     * @return ResultRespone
//     */
//    @GetMapping("/{id}" )
//    @ApiOperation(value = "通过ID查询")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
//    })
//    public ResultRespone getById(@PathVariable("id" ) Long id) {
//      return ResultRespone.success(gddataService.getById(id));
//    }
//
//    /**
//     * 新增${comments}
//     * @param gddata ${comments}
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="新增${comments}" )
//    @ApiOperation(value = "新增${comments}")
//    @PostMapping
//    public ResultRespone save(@RequestBody Gddata gddata) {
//      return ResultRespone.success(gddataService.save(gddata));
//    }
//
//    /**
//     * 修改${comments}
//     * @param gddata ${comments}
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="修改${comments}" )
//    @ApiOperation(value = "修改${comments}")
//    @PutMapping
//    public ResultRespone updateById(@RequestBody Gddata gddata) {
//      return ResultRespone.success(gddataService.updateById(gddata));
//    }
//
//    /**
//     * 通过id删除${comments}
//     * @param id id
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="通过id删除${comments}" )
//    @ApiOperation(value = "通过ID删除${comments}")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
//    })
//    @DeleteMapping("/{id}" )
//    public ResultRespone removeById(@PathVariable Long id) {
//      return ResultRespone.success(gddataService.removeById(id));
//    }
//
//    /**
//     * 通过id批量删除${comments}
//     * @param ids id
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="通过id批量删除${comments}" )
//    @ApiOperation(value = "通过ID批量删除${comments}")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
//    })
//    @DeleteMapping("/deleteByIds" )
//    public ResultRespone removeById(String ids) {
//        return ResultRespone.success(gddataService.removeByIds(Arrays.asList(ids.split(","))));
//    }
//}
