/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.xrtymis.custom.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.xrtymis.custom.dto.TfYwpnStationDTO;
import com.tofly.xrtymis.entity.TfYwpnGatherrecord;
import com.tofly.xrtymis.entity.TfYwpnStation;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 监测站信息采集数据表：TF_YWPN_STATION_W
 *
 * @author fcl
 * @date Fri Apr 16 00:00:00 CST 2021
 */
public interface TfYwpnStationService extends IService<TfYwpnStation> {

    ResultRespone saveChickInformation( TfYwpnStation tfYwpnStation);

    ResultRespone updateStationById(List<MultipartFile> fileList,TfYwpnStation tfYwpnStation);

    ResultRespone removeStationById(Long id);
}
