package com.tofly.xrtymis.custom.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

@Data
@EqualsAndHashCode
public class GdAttachmentVo implements Serializable {
    private static final long serialVersionUID = 1L;
    private Long id;
    @ApiModelProperty(value = "文件名称")
    private String fileName;
    @ApiModelProperty(value = "文件路径")
    private String filePath;
    @ApiModelProperty(value = "工单id")
    private Long tableId;
    @ApiModelProperty(value = "文件大小")
    private String fileSize;
    @ApiModelProperty(value = "文件上传时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    @ApiModelProperty(value = "文件上传用户")
    private Long createUser;
    @ApiModelProperty(value = "文件上传用户转义")
    private String createUserName;
    @ApiModelProperty(value = "文件备注")
    private String note;
    @ApiModelProperty(value = "工单编号")
    private String gdbh;
    @ApiModelProperty(value = "工单类型")
    private Long gdlx;
    @ApiModelProperty(value = "工单类型转义")
    private String gdlxName;
    @ApiModelProperty(value = "工单细分1")
    private Long gdxf1;
    @ApiModelProperty(value = "工单细分1转义")
    private String gdxf1Name;
    @ApiModelProperty(value = "工单细分2")
    private Long gdxf2;
    @ApiModelProperty(value = "工单细分2转义")
    private String gdxf2Name;
    @ApiModelProperty(value = "工单描述")
    private String gdms;
}
