package com.tofly.scada.entity.vo.IOSever;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 修改变量数据列表
 */
@Data
@EqualsAndHashCode
public class IOServerParObjsDto implements Serializable {
    /**
     * 变量编码
     */
    @ApiModelProperty("变量编码")
    @JSONField(name = "N")
    private String N;
    @ApiModelProperty("变量值")
    @JSONField(name = "V")
    private Object V;
}