/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 系统通用码表父级表
 *
 * @author wangjieliu
 * @date Thu Mar 18 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_SYSPARENTCODE_D", resultMap = "sysparentcodeMap")
@KeySequence("TF_YWPN_SYSPARENTCODE_D")
@ApiModel
public class Sysparentcode extends Model<Sysparentcode> {
    private static final long serialVersionUID = 1L;

    /**
     * 父级节点ID
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "父级节点ID")
    private Long id;
    /**
     * 父级节点名称
     */
    @ApiModelProperty(value = "父级节点名称")
    private String pcname;

}
