/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.base.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


import java.util.List;
import java.util.stream.Collectors;


/**
 * 
 *
 * @author wangjian
 * @date Mon Jun 22 00:00:00 CST 2020
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_BASE_ROLESYS",resultMap = "baseRolesysMap")
@KeySequence("TF_BASE_ROLESYS")
@ApiModel
public class BaseRolesys extends Model<BaseRolesys> {
    private static final long serialVersionUID = 1L;

        /**
     * 
     */
        @TableId(value = "id",type= IdType.INPUT)
            @ApiModelProperty(value = "")
                private Long id;
                /**
     * 角色id
     */
            @ApiModelProperty(value = "角色id")
                private Long roleId;
                /**
     * 子系统id
     */
            @ApiModelProperty(value = "子系统id")
                private String sysid;
                /**
     * 系统id
     */
            @ApiModelProperty(value = "系统id")
                private String sysids;
            
}
