package com.tofly.dc.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class ModuleStatisticsInterfaceVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "归属系统(0GIS,1MIS)")
    private String ownershipSystem;
    @ApiModelProperty(value = "归属系统转义(0GIS,1MIS)")
    private String ownershipSystemName;
    @ApiModelProperty(value = "归属业务模块(0用户1综合展示2营销3DMA分区)")
    private String ownershipBusiness;
    @ApiModelProperty(value = "归属业务模块转义(0用户1综合展示2营销3DMA分区)")
    private String ownershipBusinessName;
    @ApiModelProperty(value = "接口编码(归属系统+模块+YYYYMMDD+0000X序号)")
    private String code;
    @ApiModelProperty(value = "接口名称")
    private String name;
    @ApiModelProperty(value = "接口调用数量")
    private Integer callNum;
    @ApiModelProperty(value = "接口异常数量")
    private Long errorNum;
    @ApiModelProperty(value = "接口平均响应时长(mm)")
    private BigDecimal averageResponseLength;



}
