package com.tofly.xrtygis.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author wangjieliu
 * @date 2020/10/23 15:59
 */
@Data
@Component
@ConfigurationProperties(prefix = "xrty.ftp")
public class FilePathBean {
    /**
     * 热线交班管理文件
     */
    private String jbFile;
    /**
     * 热线知识库文件
     */
    private String knowledgeFile;
    /**
     * 上报问题的文件
     */
    private String problemFile;
    /**
     * 热线应急服务文件
     */
    private String emergencyFile;

    private String markFile;
    /**
     * 污染源
     */
    private String pollSourceFile;

    private String costNotesFile;

}
