package com.tofly.xrtygis.custom.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author 20126
 */
@Data
@ApiModel
public class RelationshipCostDto {
    @ApiModelProperty("0:一厂  1:二厂  2:总")
    private String code;
    /**
     * 原水数据指标编号
     */
    @ApiModelProperty("原水数据指标编号")
    private String primary;
    /**
     * 过程水数据编号
     */
    @ApiModelProperty("过程水数据编号")
    private String process;
    /**
     * 单耗指标
     */
    @ApiModelProperty("单耗指标")
    private String pacOne;

    @ApiModelProperty("pam指标")
    private String pamTwo;

    @ApiModelProperty("高锰酸钾指标")
    private String gmsj;
    @ApiModelProperty("液氯指标")
    private String yl;

    @ApiModelProperty("开始时间")
    private String start;

    @ApiModelProperty("结束时间")
    private String end;

    @ApiModelProperty("制水成本对应字段")
    private String param;
    @ApiModelProperty("二厂pac指标")
    private String pacTwo;
    @ApiModelProperty("取水量一厂指标")
    private String qslOne;
    @ApiModelProperty("取水量二厂指标")
    private String qslTwo;


}
