package com.tofly.xrtygis.custom.entity.enums;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.Getter;
import org.springframework.beans.factory.annotation.Configurable;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

/**
 * 远程调用IP地址
 *
 * @author FlashWJL
 * @date 2021/7/5 14:34
 */
@Getter
@AllArgsConstructor
public enum IpAddress {

    //    //营销提供出来的外网地址，后期部署用下面那个
//    VIRTUAL_ADDRESS("http://58.17.241.6:1212/"),
//    //坨源那边的营销地址
//    REALITY_ADDRESS("http://192.168.15.5:8094/"),
//    ;
    GetReadAndFees("5抄表欠费及缴费", "api/Business/GetReadAndFees"),
    ;


    //地址名称描述
    private String addressName;
    //配置调用远程IP
    private String ipAddress;


}


