/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;


/**
 * 水表 DMA绑定：TF_DMA_WATER_W
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_DMA_WATER_W", resultMap = "dmaWaterMap")
@KeySequence("TF_DMA_WATER_W")
@ApiModel
public class DmaWater extends Model<DmaWater> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID",type= IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 水表编号
     */
    @ApiModelProperty(value = "DMAId")
    private Long dmaId;
    /**
     * 电子标识编号
     */
    @ApiModelProperty(value = "总表id")
    private Long waterMeterId;


}
