/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 营销用户抄表片区
 *
 * @author wangjieliu
 * @date Wed May 26 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_DMAUSERCBPQ_W", resultMap = "dmausercbpqMap")
@KeySequence("TF_YWPN_DMAUSERCBPQ_W")
@ApiModel
public class Dmausercbpq extends Model<Dmausercbpq> {
    private static final long serialVersionUID = 1L;

    /**
     * 抄表片区编码
     */
    @TableId(value = "CBPQBM", type = IdType.INPUT)
    @ApiModelProperty(value = "抄表片区编码")
    private String cbpqbm;
    /**
     * 抄表片区名称
     */
    @ApiModelProperty(value = "抄表片区名称")
    private String cbpqmc;
    /**
     * 标志（1=，0=失效）
     */
    @ApiModelProperty(value = "标志（1=，0=失效）")
    private String yxbz;

}
