/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 测站与视频监控关联信息表
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_YWPN_SCADASTAVIDEO_W",resultMap = "scadastavideoMap")
@KeySequence("TF_YWPN_SCADASTAVIDEO_W")
@ApiModel
public class Scadastavideo extends Model<Scadastavideo> {
    private static final long serialVersionUID = 1L;

        /**
     * 自增长
     */
        @TableId(value = "ID",type= IdType.INPUT)
            @ApiModelProperty(value = "自增长")
                private Long id;
                /**
     * 测站ID
     */
            @ApiModelProperty(value = "测站ID")
                private Long stationId;
                /**
     * 视频监控站ID
     */
            @ApiModelProperty(value = "视频监控站ID")
                private Long videoId;
            
}
