/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtygis.entity.callCenter;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;


/**
 * 满意度按键定义表
 * @author wangjieliu
 * @date Fri Jun 18 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "PLT_SATISFACTION_PRESSKEYS", resultMap = "satisfactionPresskeysMap")
@KeySequence("PLT_SATISFACTION_PRESSKEYS")
@ApiModel
public class SatisfactionPresskeys extends Model<SatisfactionPresskeys> {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "")
    private BigDecimal id;
    /**
     *
     */
    @ApiModelProperty(value = "")
    private BigDecimal cid;
    /**
     *
     */
    @ApiModelProperty(value = "")
    private String pressKey;
    /**
     *
     */
    @ApiModelProperty(value = "")
    private String pressName;

}
