package com.tofly.xrtygis.entity.dto;

import com.tofly.xrtygis.entity.TfMsgPushManage;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
@Data
public class TfMsgPushManageDto extends TfMsgPushManage implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 信息资讯推送管理ID
     */
    @ApiModelProperty(value = "信息资讯推送管理ID")
    private Long msgPushId;
    /**
     * 用户ID
     */
    @ApiModelProperty(value = "用户ID")
    private Long userId;
    /**
     * 用户名称
     */
    @ApiModelProperty(value = "用户名称")
    private String userName;
    /**
     * 联系电话
     */
    @ApiModelProperty(value = "联系电话")
    private String phone;
    /**
     * 呼叫结果
     */
    @ApiModelProperty(value = "呼叫结果")
    private String callResult;

    /**
     * 是否查询呼叫结果不为空的数据（0否;1是）
     */
    @ApiModelProperty(value = "是否查询呼叫结果不为空的数据（0否;1是）")
    private String hasCallResult;

}
