package com.tofly.xrtygis.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 首页-热线管理系统 呼出呼损
 * @author BZ-DJJ
 */
@Data
@Accessors(chain = true)
public class HotlineOutLossStatisticalVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("呼出总数")
    private BigDecimal totalOut;

    @ApiModelProperty("呼出接通数")
    private BigDecimal outNum;

    @ApiModelProperty("呼出呼损")
    private BigDecimal outLossNum;

}
