package com.tofly.xrtygis.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 首页-个人排行 (好评率/个人排行/呼入数/呼出数/派单数/回访数)
 * @author BZ-DJJ
 */
@Data
public class IndividualRankingVo {

    /**
     * 好评率
     */
    @ApiModelProperty("好评率")
    private BigDecimal favorableRate;
    /**
     * 个人排行
     */
    @ApiModelProperty("个人排行")
    private BigDecimal individualRanking;
    /**
     * 呼入数
     */
    @ApiModelProperty("呼入数")
    private Long inboundNumber;
    /**
     * 呼出数
     */
    @ApiModelProperty("呼出数")
    private Long callSeveral;
    /**
     * 派单数
     */
    @ApiModelProperty("派单数")
    private Integer sendSingular;
    /**
     * 回访数
     */
    @ApiModelProperty("回访数")
    private Integer numberVisit;
}
