package com.tofly.xrtygis.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 巡线完成率分析返回对象
 */
@Data
public class LinePatrolCompletionRateVo implements Serializable {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "统计月份")
    private String month;

    @ApiModelProperty(value = "计划巡检里程")
    private BigDecimal planPipeLength;

    @ApiModelProperty(value = "有效里程")
    private BigDecimal efficientPipeLength;

    @ApiModelProperty(value = "完成率")
    private BigDecimal overRate;

    @ApiModelProperty(value = "上报漏点")
    private BigDecimal reportLeakNum;

    @ApiModelProperty(value = "处置漏点")
    private BigDecimal overLeakNum;

    @ApiModelProperty(value = "巡线效率")
    private BigDecimal lineEfficiencyRate;
}
