package com.tofly.xrtygis.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 首页-营销 质量管理 整改成效类别 分组 统计社会/经济效益 (年统计)
 * @author BZ-DJJ
 */
@Data
public class QualityBenefitStatisticalVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("整改成效类别")
    private String typeName;
    @ApiModelProperty("社会效益")
    private BigDecimal socialBenefitNum;
    @ApiModelProperty("经济效益")
    private BigDecimal economicBenefitsSum;


}
