package com.tofly.xrtygis.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 公众参与漏点意见通过处理列表
 * @author JF
 */
@Data
public class TfPublicLeakageHandleVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("工单id")
    private Long id;

    @ApiModelProperty(value = "处理部门-工单登记")
    private Long slbm;
    @TableField(exist = false)
    @ApiModelProperty(value = "处理部门数字转化-工单登记", hidden = true)
    private String slbmName;

    @ApiModelProperty(value = "处理人员-工单登记")
    private Long slry;
    @TableField(exist = false)
    @ApiModelProperty(value = "处理人员数字转化-工单登记", hidden = true)
    private String slryName;
}
