package com.tofly.xrtygis.entity.vo.hwm.noise;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@ApiModel
public class Recording extends Model<Recording> {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "录音文件id")
    private String id;
    @ApiModelProperty(value = "SMS编码")
    private String number;
    @ApiModelProperty(value = "最新数据上传时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date rst;
    @ApiModelProperty(value = "3为记录噪音文件 与第三方确定一致")
    private String recordingType;
}
