/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.xrtygis.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.xrtygis.entity.IndicatorCorrection;

import java.util.Date;

/**
 * 指标修正记录表
 *
 * @author admin
 * @date Thu Apr 28 00:00:00 CST 2022
 */
public interface IndicatorCorrectionService extends IService<IndicatorCorrection> {
    /**
     * 分区各项指标计算
     * @param reviseDate
     * @return
     */
    Boolean leakageRateCalculate(Date reviseDate);

    /**
     * 统计各项指标计算
     * @param reviseDate
     * @return
     */
    Boolean totalCalculate(Date reviseDate);
    /**
     * 指标修正新增
     * @param indicatorCorrection
     * @return
     */
    Boolean saveInfo(IndicatorCorrection indicatorCorrection,String flag);



}
