/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.xrtygis.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.xrtygis.entity.TfViewPointManage;
import com.tofly.xrtygis.exception.BusinessException;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 视点管理
 *
 * @author JF
 * @date Tue May 10 00:00:00 CST 2022
 */
public interface TfViewPointManageService extends IService<TfViewPointManage> {

    /**
     * 新增基本和详情信息
     * @param fileList
     * @param tfViewPointManage
     * @throws BusinessException
     */
    void saveTfViewPointManage(List<MultipartFile> fileList, TfViewPointManage tfViewPointManage) throws BusinessException;

//    /**
//     * 修改基本和详情信息
//     * @param fileListBefore,fileListAfter
//     * @param tfReservoirClean
//     * @throws BusinessException 抛出更新当前数据不存在
//     */
//    void updateTfReservoirClean(List<MultipartFile> fileListBefore, List<MultipartFile> fileListAfter, TfReservoirClean tfReservoirClean) throws BusinessException;

    /**
     * 单个删除或批量删除信息
     * @param idList
     * @throws BusinessException 抛出删除对象不存在
     */
    void deleteTfViewPointManage(List<Long> idList) throws BusinessException;

}
