/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.xrtygis.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.xrtygis.entity.TfMsgPersonManage;
import com.tofly.xrtygis.entity.TfMsgPushManage;
import com.tofly.xrtygis.entity.dto.TfMsgPushManageDto;
import com.tofly.xrtygis.entity.vo.TfMsgPersonManageVo;
import com.tofly.xrtygis.service.TfMsgPersonManageService;
import org.springframework.stereotype.Service;
import com.tofly.xrtygis.mapper.TfMsgPersonManageMapper;

import java.util.List;

/**
 * 信息资讯推送人员管理
 *
 * @author JF
 * @date Sun Jul 03 00:00:00 CST 2022
 */
@Service("tfMsgPersonManageService")
public class TfMsgPersonManageServiceImpl extends ServiceImpl<TfMsgPersonManageMapper, TfMsgPersonManage> implements TfMsgPersonManageService {

    @Override
    public List<TfMsgPersonManageVo> getMsgPersonInfoList(TfMsgPushManageDto dto) {
        return this.baseMapper.getMsgPersonInfoList(dto);
    }

}
