package com.tofly.pojo.statement.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Map;

/**
 * 统计维修工时导出对象
 * @author BZ-DJJ
 */
@Data
public class MaintenanceWorkVo implements Serializable {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "员工名称")
    private String userName;
    @ApiModelProperty(value = "维修工单总数")
    private Long repairOrderNum;
    @ApiModelProperty(value = "核定工时")
    private Double ratifyTime;
    @ApiModelProperty(value = "平均工时")
    private Double averageTime;
    @ApiModelProperty(value = "工地发现个数")
    private Long findBuildNum;
    @ApiModelProperty(value = "发现隐患数量")
    private Long findTroubleNum;
    @ApiModelProperty(value = "巡检任务数量")
    private Long findPlanNum;
    @ApiModelProperty(value = "维修工单情况")
    private Map<String,Long> typeDetails;
}
