package com.tofly.pojo.statement.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
/**
 * 耗材情况导出对象
 * @author BZ-DJJ
 */
@Data
public class MaterialConditionsVo  implements Serializable {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "材料类型id")
    private Long materialTypeId;

    @ApiModelProperty(value = "材料类型名称")
    private String materialTypeName;

    @ApiModelProperty(value = "材质，字典编码表取，PE、金属等")
    private String material;

    @ApiModelProperty(value = "口径（mm）")
    private String bore;

    @ApiModelProperty(value = "数量")
    private Long num;

    @ApiModelProperty(value = "单位")
    private String unit;
}
