/*
 * Author: Zev
 * 生成Service
 */
package com.tofly.gpsboot.service.build;

import com.tofly.pojo.build.vo.BuildplanVo;
import com.tofly.pojo.build.Buildplan;
import com.tofly.gpsboot.service.IBaseService;
import com.tofly.pojo.plan.Plan;

import java.util.List;


/**
 * 工地巡查计划关联信息表
 *
 * @author admin
 * @date Thu Mar 18 00:00:00 CST 2021
 */
public interface BuildplanService extends IBaseService<Buildplan,BuildplanVo> {
    /**
     * 新增工地巡查计划关联信息
     * @param planList
     * @param buildId
     */
    void saveBuildPlanRelation(List<Plan> planList, Long buildId);
}
