/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.gpsboot.service.comm;

import com.tofly.pojo.comm.vo.AuditVo;
import com.tofly.gpsboot.service.IBaseService;
import com.tofly.pojo.comm.Audit;

import java.util.List;


/**
 * 审批表
 *
 * @author zev
 * @date Fri May 21 00:00:00 CST 2021
 */
public interface IAuditService extends IBaseService<Audit, AuditVo> {
    /**
     * 获取下一级审批人对象
     * @param list
     * @param auditLevel 当前审核对象的阶段
     * @return
     */
    Audit getNextAudit(List<Audit> list, Integer auditLevel);
}
