/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.gpsboot.service.emergency;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.pojo.emergency.EmergencyDis;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 应急事件处理日志记录表
 *
 * @author admin
 * @date Tue Feb 22 00:00:00 CST 2022
 */
public interface EmergencyDisService extends IService<EmergencyDis> {

    /**
     * 新增
     * @param fileList
     * @param emergencyDis
     */
    boolean saveInfo(List<MultipartFile> fileList,EmergencyDis emergencyDis);

    /**
     * 修改
     * @param fileList
     * @param emergencyDis
     * @return
     */
    boolean updateInfo(List<MultipartFile> fileList,EmergencyDis emergencyDis);

    /**
     * 上报审核
     * @param emergencyId 应急事件id
     * @param auditUserId 审核人id
     * @return
     */
    boolean reportInfo(Long emergencyId,Long auditUserId);

}
