/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.gpsboot.service.emergency;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.pojo.emergency.Emergency;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;


/**
 * 应急事件记录表
 *
 * @author admin
 * @date Tue Feb 22 00:00:00 CST 2022
 */
public interface EmergencyService extends IService<Emergency> {

    /**
     * 新增
     *
     * @param emergency
     * @return
     */
    ResultRespone saveInfo(List<MultipartFile> fileList, Emergency emergency) throws Exception;

    /**
     * 手动派工
     * @param emergency
     * @return
     */
    boolean dispatchingInfo(Emergency emergency);
}
