/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.gpsboot.service.maintain;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.gpsboot.strategy.ExcelStrategy;
import com.tofly.pojo.maintain.dto.RepairmaterialDto;
import com.tofly.pojo.maintain.dto.RepairtypeDto;
import com.tofly.pojo.maintain.vo.RepairmaterialVo;
import com.tofly.gpsboot.service.IBaseService;
import com.tofly.pojo.maintain.Repairmaterial;
import com.tofly.pojo.maintain.vo.RepairtypeVo;

/**
 * 维修材料类型信息表
 *
 * @author admin
 * @date Tue Apr 06 00:00:00 CST 2021
 */
public interface RepairmaterialService extends IBaseService<Repairmaterial, RepairmaterialVo> , ExcelStrategy {

    Page<RepairmaterialVo> getRepairMaterialPage(Page page, RepairmaterialDto parDto);
}
