/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.gpsboot.service.maintain;


import com.tofly.pojo.maintain.vo.RepairuserVo;
import com.tofly.gpsboot.service.IBaseService;
import com.tofly.pojo.maintain.Repairuser;

/**
 * 抢维修工单个人任务信息表
 *
 * @author admin
 * @date Tue Apr 06 00:00:00 CST 2021
 */
public interface RepairuserService extends IBaseService<Repairuser, RepairuserVo> {

    /**
     * 根据工单id获取负责人名称
     * @param repairId 工单id
     * @return
     */
    String getRespUserName(Long repairId);

    /**
     * 根据工单id获取协同处理人名称,多个已,分割
     * @param repairId
     * @return
     */
    String getTeamUserNames(Long repairId);
}
