/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.gpsboot.service.paln;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.pojo.plan.PlanMt;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 计划维护记录表
 *
 * @author admin
 * @date Tue Jan 25 00:00:00 CST 2022
 */
public interface PlanMtService extends IService<PlanMt> {

    /**
     * 新增计划维护记录
     * @param fileList
     * @param planMt
     * @return
     */
    boolean saveInfo(List<MultipartFile> fileList,PlanMt planMt);

    /**
     * 修改计划维护记录
     * @param fileList
     * @param planMt
     * @return
     */
    boolean updateInfo(List<MultipartFile> fileList,PlanMt planMt);
}
