package com.tofly.gpsboot.strategy;


import com.tofly.pojo.plan.dto.ReportAuditDto;
import com.tofly.gpsboot.exception.BusinessException;

/**
 * <p>
 * 审核策略 接口
 * </p>
 *
 * @author Zev
 * @since 2021-03-20
 */
public interface AuditStrategy {

    /**
     * 审核处理(支持单个及批量)
     * @param dto 审核数据
     * @throws BusinessException 相关业务异常说明
     */
    void audit(ReportAuditDto dto) throws BusinessException;
}
