/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.xrtymis.custom.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.xrtymis.custom.entity.LeakDeviceArchiveVo;
import com.tofly.xrtymis.custom.service.NoiseLoggerInfoService;
import com.tofly.xrtymis.entity.NoiseLoggerInfo;
import com.tofly.xrtymis.mapper.NoiseLoggerInfoMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 噪音记录仪信息
 *
 * @author admin
 * @date Wed Apr 13 00:00:00 CST 2022
 */
@Service("noiseLoggerInfoService")
public class NoiseLoggerInfoServiceImpl extends ServiceImpl<NoiseLoggerInfoMapper, NoiseLoggerInfo> implements NoiseLoggerInfoService {


    @Override
    public Page<LeakDeviceArchiveVo> getLeakDeviceArchivePage(Page page, String monitoringState, String likeStr) {

        return baseMapper.getLeakDeviceArchivePage(page, monitoringState, likeStr);
    }
}
