package com.tofly.xrtymis.custom.vo;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 *
 * @author BZ-DJJ
 */
@Data
public class AuxiliaryDispatchingVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户id")
    private Long userId;
    @ApiModelProperty(value = "用户名称")
    private String userName;

    @ApiModelProperty(value = "部门id")
    private Long deptId;
    @ApiModelProperty(value = "部门名称")
    private String deptName;

    @ApiModelProperty(value = "当前最新位置经度")
    private BigDecimal lgtd;

    @ApiModelProperty(value = "当前最新位置纬度")
    private BigDecimal lttd;

    @ApiModelProperty(value = "工作时段；1：白班，2：晚班，3：休 ")
    private String workTime;

    private String workTimeName;
    @ApiModelProperty(value = "当前用户上班状态")
    private String singType;
}
