package com.tofly.xrtymis.custom.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * @author FlashWJL
 * @date 2021/10/28 16:58
 * 异常工单导出实体
 */
@Getter
@Setter
public class GdAbnormalPercentStatic {
    @ApiModelProperty(value = "登记部门id")
    private Long djbm;
    @ApiModelProperty(value = "登记部门名称")
    @TableField(exist = false)
    private String djbmName;
    @ApiModelProperty(value = "工单类型id")
    private Long gdlx;

    @ApiModelProperty(value = "工单类型")
    private String gdlxName;
    @ApiModelProperty(value = "工单类型细分1")
    private Long gdxf1;
    @TableField(exist = false)
    private String gdxf1Name;
    @ApiModelProperty(value = "工单类型细分1")
    private Long gdxf2;
    @TableField(exist = false)
    private String gdxf2Name;
    @ApiModelProperty(value = "拼接工单类型")
    @TableField(exist = false)
    private String typeJoint;

    @ApiModelProperty(value = "工单总数")
    private Long gdNum;

    @ApiModelProperty(value = "驳回工单数")
    private Long bhNum;

    @ApiModelProperty(value = "驳回率")
    private String bhRate;

    @ApiModelProperty(value = "超时工单数")
    private Long csNum;

    @ApiModelProperty(value = "超时率")
    private String csRate;

    @ApiModelProperty(value = "转派工单数")
    private Long zpNum;

    @ApiModelProperty(value = "转派率")
    private String zpRate;

    @ApiModelProperty(value = "终止工单数")
    private Long zzNum;

    @ApiModelProperty(value = "终止率")
    private String zzRate;

}
