/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.xrtymis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 流程配置多选部门配置关联表
 *
 * @author wangjieliu
 * @date Wed Nov 24 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWPN_GDDEPARTMENT_W", resultMap = "gddepartmentMap")
@KeySequence("TF_YWPN_GDDEPARTMENT_W")
@ApiModel
public class Gddepartment extends Model<Gddepartment> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private Long id;
    /**
     * 流程配置的ID
     */
    @ApiModelProperty(value = "流程配置的ID")
    private Long configId;
    /**
     * 部门ID
     */
    @ApiModelProperty(value = "部门ID")
    private Long departId;
    /**
     * 部门名称
     */
    @ApiModelProperty(value = "部门名称")
    private String departName;

}
