/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.xrtymis.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.xrtymis.custom.entity.LeakDeviceArchiveVo;
import com.tofly.xrtymis.entity.NoiseLoggerInfo;
import org.apache.ibatis.annotations.Param;

/**
 * 噪音记录仪信息
 *
 * @author admin
 * @date Mon Apr 25 00:00:00 CST 2022
 */
public interface NoiseLoggerInfoMapper extends BaseMapper<NoiseLoggerInfo> {
      String getNoises(Long id);

      /**
       * 监测漏损分页查询
       * @param page
       * @param monitoringState
       * @param likeStr
       * @return
       */
      Page<LeakDeviceArchiveVo> getLeakDeviceArchivePage(Page page, @Param("monitoringState") String monitoringState, @Param("likeStr")String likeStr);
}
