package com.tofly.api;

import com.tofly.common.core.entity.ResultRespone;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

/**
 * @author JF
 */
@FeignClient(name = "tofly-scada",contextId="ScadaClient")
public interface ScadaClient {

    /**
     * 手动更新异常点位虚拟数据
     * @param startDate 开始时间
     * @param endDate 结束时间
     * @return
     */
    @PostMapping("/scada/syncAbnormalPointData")
    ResultRespone syncAbnormalPointData(@RequestParam(value = "startDate") String startDate, @RequestParam(value = "endDate") String endDate);

}
