package com.tofly.scada.entity.vo.IOSever;

import cn.hutool.json.JSONArray;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 *
 */
@Data
@EqualsAndHashCode
public class IOServerDataInfoVo implements Serializable {
    /**
     * 变量ID
     */
    @ApiModelProperty(value = "变量ID")
    private Long ID;
    /**
     * 变量名称
     */
    @ApiModelProperty(value = "变量名称")
    private String N;
    /**
     * 变量值
     */
    @ApiModelProperty(value = "变量值")
    private String V;
    /**
     * 质量戳
     */
    @ApiModelProperty(value = "质量戳")
    private Long Q;
    /**
     * 实时值
     */
    @ApiModelProperty(value = "实时值")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date T;
}