package com.tofly.scada.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author haiqiu
 */
@Data
public class ScadaVo {

    @ApiModelProperty(value = "ID")
    private Long id;

    @ApiModelProperty(value = "指标编码")
    private String code;

    @ApiModelProperty(value = "指标值")
    private String value;

    @ApiModelProperty(value = "指标采集时间")
    private Date scadaTime;

    @ApiModelProperty(value = "指标更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "设备名称")
    private String name;

    @ApiModelProperty(value = "制造日期")
    private String makeDate;

    @ApiModelProperty(value = "设备类型")
    private String type;

    @ApiModelProperty(value = "制造厂家")
    private String manufacturer;

    @ApiModelProperty(value = "负责人")
    private String leader;

    @ApiModelProperty(value = "联系电话")
    private String phone;

    @ApiModelProperty(value = "所属测站ID，关联SCADA监测站基本信息表主键")
    private String stationId;


}
