package com.tofly.scada.service;

import com.tofly.scada.entity.vo.IOSever.IOServerDataInfoVo;
import com.tofly.scada.entity.vo.IOSever.IOServerParObjsDto;

import java.io.IOException;
import java.util.List;


public interface IOServerService {

    /**
     * 获取指定变量列表实时值
     *
     * @return
     */
    List<IOServerDataInfoVo> getBatchRealValue(List<String> codeList) throws IOException;


    /**
     * 实时数据回写
     * @param codeList
     * @return
     */
    String realVariables(List<IOServerParObjsDto> codeList) throws IOException;

}
