package com.tofly.scada.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.scada.entity.DeviceArchiveManage;
import com.tofly.scada.entity.vo.IOSever.IOServerParObjsDto;
import com.tofly.scada.mapper.DeviceArchiveManageMapper;
import com.tofly.scada.service.DeviceArchiveManageService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author haiqiu
* @description 针对表【TF_DEVICE_ARCHIVE_MANAGE(设备档案管理)】的数据库操作Service实现
* @createDate 2022-05-12 10:42:44
*/
@Service
public class DeviceArchiveManageServiceImpl extends ServiceImpl<DeviceArchiveManageMapper, DeviceArchiveManage>
    implements DeviceArchiveManageService{

    @Override
    public List<IOServerParObjsDto> getIOServerDeviceIndexList() {
        return baseMapper.getIOServerDeviceIndexList();
    }
}




